Skip to main content
    Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Sessions/GET /harness/sessions/{sessionId}/assets

    GET /harness/sessions/{sessionId}/assets

    List session assets

    Auth: required. Send an ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.

    Returns all artifacts produced by tool calls in this session — files, datasets, figures, and other outputs stored in S3.

    Request

    Path parameters

    sessionIdstring (uuid)

    Session UUID (UUIDv7 — time-ordered)

    Responses

    200 OK

    Assets listed

    Response shape:

    assetsobject[]
    totalinteger

    401 Unauthorized

    Authentication required

    Response shape: object

    404 Not Found

    Resource not found

    Response shape: object

    curl -X GET 'https://ivybiosciences.com/api/harness/sessions/{sessionId}/assets' \
      -H "Authorization: Bearer $IVY_API_KEY"

    Was this page helpful?

    Loading...